Mail archive
alpine-aports

[alpine-aports] [PATCH 1/3] testing/udevil: move post-install message

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Wed, 6 May 2015 11:57:17 +0000

moved an unformatted post-install message to:
/usr/share/apk-tools/$pkgname/post-install-message

perhaps apk in a future release can cat these files if they exist
on installation - & also if 'apk post $pkg' is run.
---
 testing/udevil/APKBUILD            | 20 ++++++++++++--------
 testing/udevil/udevil.apk-post-msg | 11 +++++++++++
 testing/udevil/udevil.post-install | 22 ----------------------
 3 files changed, 23 insertions(+), 30 deletions(-)
 create mode 100644 testing/udevil/udevil.apk-post-msg
 delete mode 100644 testing/udevil/udevil.post-install
diff --git a/testing/udevil/APKBUILD b/testing/udevil/APKBUILD
index 3d0faac..95257a2 100644
--- a/testing/udevil/APKBUILD
+++ b/testing/udevil/APKBUILD
_at_@ -8,10 +8,12 @@ url="http://ignorantguru.github.io/udevil"
 arch="all"
 license="GPL3+"
 makedepends="$depends_dev glib-dev udev-dev intltool"
-install="$pkgname.post-install $pkgname.pre-install"
+install="$pkgname.pre-install"
 subpackages="$pkgname-lang"
-source="$pkgname-$pkgver.tar.gz::https://github.com/IgnorantGuru/$pkgname/archive/$pkgver.tar.gz"
 pkggroups="plugdev"
+source="$pkgname-$pkgver.tar.gz::https://github.com/IgnorantGuru/$pkgname/archive/$pkgver.tar.gz
+	$pkgname.apk-post-msg
+	"
 
 _builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
_at_@ -37,12 +39,14 @@ package() {
 	make -j1 DESTDIR="$pkgdir" install || return 1
 	chown root:plugdev "$pkgdir"/usr/bin/udevil || return 1
         chmod u+s,go-s,o-x "$pkgdir"/usr/bin/udevil # remove SUID bit
-
+	mkdir -p "$pkgdir/usr/share/apk-tools/$pkgname"
+	install -m644 "$srcdir/$pkgname.apk-post-msg" "$pkgdir/usr/share/apk-tools/$pkgname/post-install-message" || return 1
 #	chmod ugo-s,ugo+x "$pkgdir"/usr/bin/udevil #remove SUID bit completely
-
-
 }
 
-md5sums="281aa065d92c679cb41728069e72b272  udevil-0.4.4.tar.gz"
-sha256sums="ad2fd8375bd62622718a04235e9772119459089938dbb78e657955e595822b7c  udevil-0.4.4.tar.gz"
-sha512sums="adce4916e06d1cc4965521abbcbc2901e53930691167f431cb18e28d3ef8bde740e95a6a5f40dfc58dfd7b4b661b4475d3dd2b6174a5d7a55ae7c65629b82327  udevil-0.4.4.tar.gz"
+md5sums="281aa065d92c679cb41728069e72b272  udevil-0.4.4.tar.gz
+cd426d9d4f6387eb6eca51c661525d1b  udevil.apk-post-msg"
+sha256sums="ad2fd8375bd62622718a04235e9772119459089938dbb78e657955e595822b7c  udevil-0.4.4.tar.gz
+be09f2c03a852eee3e2b94250664e8a63b33df631a098e500d730a56c839789a  udevil.apk-post-msg"
+sha512sums="adce4916e06d1cc4965521abbcbc2901e53930691167f431cb18e28d3ef8bde740e95a6a5f40dfc58dfd7b4b661b4475d3dd2b6174a5d7a55ae7c65629b82327  udevil-0.4.4.tar.gz
+060e17a1847a40f5ad1f19d803c14de8be2bcde205cf23fbbd73f0167c577f4be04749476e31e6e153033f0b92a70b264b553bb4cc3c077acdb39b117a0f9814  udevil.apk-post-msg"
diff --git a/testing/udevil/udevil.apk-post-msg b/testing/udevil/udevil.apk-post-msg
new file mode 100644
index 0000000..6c63d7e
--- /dev/null
+++ b/testing/udevil/udevil.apk-post-msg
_at_@ -0,0 +1,11 @@
+To mount / unmount devices without the root password: add your user account to the 'plugdev' group.
+
+Optional dependencies:
+
+zenity: 	(devmon popups)
+davfs2: 	(mount WebDAV resources)
+cifs-utils: 	(mounting samba shares)
+curlftpfs: 	(mounting ftp shares)
+nfs-utils: 	(mounting nfs shares)
+sshfs-fuse: 	(mounting sftp shares)
+eject: 		(eject via devmon)
diff --git a/testing/udevil/udevil.post-install b/testing/udevil/udevil.post-install
deleted file mode 100644
index f2485ed..0000000
--- a/testing/udevil/udevil.post-install
+++ /dev/null
_at_@ -1,22 +0,0 @@
-#!/bin/sh
-
-NORMAL="\033[1;0m"
-STRONG="\033[1;1m"
-GREEN="\033[1;32m"
-
-print_strong() {
-        local prompt="${STRONG}$1 ${GREEN}$2${NORMAL}"
-        printf "${prompt} %s\n"
-}
-
-print_strong "\nTo mount / unmount devices without the root password:" " add your user account to the 'plugdev' group."
-print_strong "\nOptional dependencies:"
-print_strong "\nzenity: " "	(devmon popups)"
-print_strong "davfs2: " "	(mount WebDAV resources)"
-print_strong "cifs-utils: " "	(mounting samba shares)"
-print_strong "curlftpfs: " "	(mounting ftp shares)"
-print_strong "nfs-utils: " "	(mounting nfs shares)"
-print_strong "sshfs-fuse: " "	(mounting sftp shares)"
-print_strong "eject: " "	(eject via devmon)"
-exit 0
-
-- 
2.4.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed May 06 2015 - 11:57:17 GMT